<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->

# API Reference — Secure Communication Channels

## WireGuard

### Synopsis

```bash
wg genkey > private.key
wg pubkey < private.key > public.key
wg-quick up <interface>
wg show [<interface>]
```

## mTLS with curl

```bash
curl --cert <client.pem> --key <key.pem> --cacert <ca.pem> https://host:port/
```

## SSH Tunneling

```bash
ssh -L <local>:<remote_host>:<remote_port> <ssh_host>
ssh -R <remote>:<local_host>:<local_port> <ssh_host>
ssh -D <port> <ssh_host>
```

## Agent Script

```bash
node agent.js gen-ca --cn "My CA" --days 3650
node agent.js test-mtls api.internal -p 8443 --cert c.pem --key k.pem --ca ca.pem
node agent.js audit-tls example.com -p 443
node agent.js wg-status --interface wg0
```
